
%global meadversion 1.12.284
%global namedversion 1.12.284.redhat-00002
%global meadalpha .redhat_00002
%global meadrel .1
%global serial 1
%global namedversionrel redhat-00002

%bcond_with javadoc
%bcond_without mead

%{?scl:%scl_package aws-java-sdk}
%{!?scl:%global pkg_name %{name}}

%define maven_version 1.12.284.redhat-00002

Name:           %{?scl_prefix}aws-java-sdk
Version:        %{meadversion}
Release:        %{serial}%{meadalpha}%{meadrel}%{?dist}
Epoch:          0
Summary:        AWS SDK for Java
Group:          Development/Java

%if %with mead
Source100: aws-java-sdk-pom-1.12.284.redhat-00002-project-sources.tar.gz
Source102: aws-java-sdk-s3-1.12.284.redhat-00002.pom
Source103: aws-java-sdk-s3-1.12.284.redhat-00002.jar
Source104: aws-java-sdk-core-1.12.284.redhat-00002-sources.jar
Source105: aws-java-sdk-pom-1.12.284.redhat-00002.pom
Source106: aws-java-sdk-core-1.12.284.redhat-00002.pom
Source107: aws-java-sdk-core-1.12.284.redhat-00002.jar
Source108: jmespath-java-1.12.284.redhat-00002-sources.jar
Source109: aws-java-sdk-s3-1.12.284.redhat-00002-sources.jar
Source110: aws-java-sdk-kms-1.12.284.redhat-00002.pom
Source111: aws-java-sdk-kms-1.12.284.redhat-00002-sources.jar
Source112: aws-java-sdk-test-utils-1.12.284.redhat-00002-sources.jar
Source113: aws-java-sdk-test-utils-1.12.284.redhat-00002.pom
Source114: jmespath-java-1.12.284.redhat-00002.jar
Source115: aws-java-sdk-kms-1.12.284.redhat-00002.jar
Source116: jmespath-java-1.12.284.redhat-00002.pom
Source117: aws-java-sdk-test-utils-1.12.284.redhat-00002.jar
%endif

License:        ASL 2.0
URL:            https://aws.amazon.com/sdkforjava
BuildArch:      noarch
BuildRoot:      %{_tmppath}/%{name}-%{namedversion}-%{release}-root

%description
The Amazon Web Services SDK for Java provides Java APIs for building software
on AWS' cost-effective, scalable, and reliable infrastructure products.
The AWS Java SDK allows developers to code against APIs for
all of Amazon's infrastructure web services (Amazon S3, Amazon EC2, Amazon SQS,
Amazon Relational Database Service, Amazon AutoScaling, etc).

%package -n %{?scl_prefix}aws-java-sdk-core
Summary:        AWS SDK for Java - Core
Group:          Development/Java


%description -n %{?scl_prefix}aws-java-sdk-core
The AWS SDK for Java - Core module holds the classes that are used by
the individual service clients to interact with Amazon Web Services.
Users need to depend on aws-java-sdk artifact for accessing individual client classes.

%package -n %{?scl_prefix}aws-java-sdk-kms
Summary:        AWS Java SDK for AWS KMS
Group:          Development/Java


%description -n %{?scl_prefix}aws-java-sdk-kms
The AWS Java SDK for AWS KMS module holds the client classes
that are used for communicating with AWS Key Management Service.

%package -n %{?scl_prefix}aws-java-sdk-s3
Summary:        AWS Java SDK for Amazon S3
Group:          Development/Java


%description -n %{?scl_prefix}aws-java-sdk-s3
The AWS Java SDK for Amazon S3 module holds the client classes
that are used for communicating with Amazon Simple Storage Service.

%package -n %{?scl_prefix}jmespath-java
Summary:        JMES Path Query library
Group:          Development/Java


%description -n %{?scl_prefix}jmespath-java
Implementation of the JMES Path JSON Query langauge for Java.

%package -n %{?scl_prefix}jackson-module-mrbean
Summary:        Bean-materializer-for-Jackson
Group:          Development/Java


%description -n %{?scl_prefix}jackson-module-mrbean
Support for "POJO type materialization"; ability for databinder to
construct implementation classes for Java interfaces and abstract
classes, as part of deserialization.

%package -n %{?scl_prefix}jackson-module-osgi
Summary:        Jackson-OSGi-injection-module
Group:          Development/Java


%description -n %{?scl_prefix}jackson-module-osgi
Add-on module to inject OSGI services into deserialized objects.

%package -n %{?scl_prefix}jackson-module-paranamer
Summary:        Jackson-module-paranamer
Group:          Development/Java


%description -n %{?scl_prefix}jackson-module-paranamer
Add-on module to auto-detect names of Creator methods with Paranamer
library.

%if %with javadoc
%%package javadoc
Summary:        Javadoc for aws-java-sdk
Group:          Development/Java

BuildRequires:  unzip

%%description javadoc
%{summary}.
%endif

%prep
%setup -q -n aws-java-sdk-pom-%{namedversion} -T -b 100

%build

%install
%{__rm} -rf %{buildroot}

# jars
%{__mkdir_p} %{buildroot}%{_javadir}
%{__cp} -p %{_sourcedir}/aws-java-sdk-core-%{namedversion}.jar %{buildroot}%{_javadir}/aws-java-sdk-core-%{namedversion}.jar
%if %with javadoc
%{__cp} -p %{_sourcedir}/aws-java-sdk-core-%{namedversion}-javadoc.jar %{buildroot}%{_javadir}/aws-java-sdk-core-%{namedversion}-javadoc.jar
%endif
%{__cp} -p %{_sourcedir}/aws-java-sdk-core-%{namedversion}-sources.jar %{buildroot}%{_javadir}/aws-java-sdk-core-%{namedversion}-sources.jar
%{__cp} -p %{_sourcedir}/aws-java-sdk-kms-%{namedversion}.jar %{buildroot}%{_javadir}/aws-java-sdk-kms-%{namedversion}.jar
%if %with javadoc
%{__cp} -p %{_sourcedir}/aws-java-sdk-kms-%{namedversion}-javadoc.jar %{buildroot}%{_javadir}/aws-java-sdk-kms-%{namedversion}-javadoc.jar
%endif
%{__cp} -p %{_sourcedir}/aws-java-sdk-kms-%{namedversion}-sources.jar %{buildroot}%{_javadir}/aws-java-sdk-kms-%{namedversion}-sources.jar
%{__cp} -p %{_sourcedir}/aws-java-sdk-s3-%{namedversion}.jar %{buildroot}%{_javadir}/aws-java-sdk-s3-%{namedversion}.jar
%if %with javadoc
%{__cp} -p %{_sourcedir}/aws-java-sdk-s3-%{namedversion}-javadoc.jar %{buildroot}%{_javadir}/aws-java-sdk-s3-%{namedversion}-javadoc.jar
%endif
%{__cp} -p %{_sourcedir}/aws-java-sdk-s3-%{namedversion}-sources.jar %{buildroot}%{_javadir}/aws-java-sdk-s3-%{namedversion}-sources.jar
%{__cp} -p %{_sourcedir}/jmespath-java-%{namedversion}.jar %{buildroot}%{_javadir}/jmespath-java-%{namedversion}.jar
%if %with javadoc
%{__cp} -p %{_sourcedir}/jmespath-java-%{namedversion}-javadoc.jar %{buildroot}%{_javadir}/jmespath-java-%{namedversion}-javadoc.jar
%endif
%{__cp} -p %{_sourcedir}/jmespath-java-%{namedversion}-sources.jar %{buildroot}%{_javadir}/jmespath-java-%{namedversion}-sources.jar

(cd %{buildroot}%{_javadir} && for jar in *-%{namedversion}*; do %{__ln_s} ${jar} `/bin/echo ${jar} | %{__sed} -e "s|-%{namedversion}||g"`; done)

%if %with javadoc
# javadoc
%{__mkdir_p} %{buildroot}%{_javadocdir}/aws-java-sdk-%{namedversion}
%{_bindir}/unzip -qq %{_sourcedir}/aws-java-sdk-%{namedversion}-javadoc.jar -d %{buildroot}%{_javadocdir}/aws-java-sdk-%{namedversion} -x META-INF/\*
%{__ln_s} aws-java-sdk-%{namedversion} %{buildroot}%{_javadocdir}/aws-java-sdk
%endif

%clean
%{__rm} -rf %{buildroot}

%files
%defattr(0644,root,root,0755)
%doc CHANGELOG.md CODE_OF_CONDUCT.md CONTRIBUTING.md LICENSE.txt NOTICE.txt README.md

%files -n %{?scl_prefix}aws-java-sdk-core
%defattr(0644,root,root,0755)
%{_javadir}/aws-java-sdk-core-%{namedversion}.jar
%{_javadir}/aws-java-sdk-core.jar
%if %with javadoc
%{_javadir}/aws-java-sdk-core-%{namedversion}-javadoc.jar
%{_javadir}/aws-java-sdk-core-javadoc.jar
%endif
%{_javadir}/aws-java-sdk-core-%{namedversion}-sources.jar
%{_javadir}/aws-java-sdk-core-sources.jar

%files -n %{?scl_prefix}aws-java-sdk-kms
%defattr(0644,root,root,0755)
%{_javadir}/aws-java-sdk-kms-%{namedversion}.jar
%{_javadir}/aws-java-sdk-kms.jar
%if %with javadoc
%{_javadir}/aws-java-sdk-kms-%{namedversion}-javadoc.jar
%{_javadir}/aws-java-sdk-kms-javadoc.jar
%endif
%{_javadir}/aws-java-sdk-kms-%{namedversion}-sources.jar
%{_javadir}/aws-java-sdk-kms-sources.jar

%files -n %{?scl_prefix}aws-java-sdk-s3
%defattr(0644,root,root,0755)
%{_javadir}/aws-java-sdk-s3-%{namedversion}.jar
%{_javadir}/aws-java-sdk-s3.jar
%if %with javadoc
%{_javadir}/aws-java-sdk-s3-%{namedversion}-javadoc.jar
%{_javadir}/aws-java-sdk-s3-javadoc.jar
%endif
%{_javadir}/aws-java-sdk-s3-%{namedversion}-sources.jar
%{_javadir}/aws-java-sdk-s3-sources.jar

%files -n %{?scl_prefix}jmespath-java
%defattr(0644,root,root,0755)
%{_javadir}/jmespath-java-%{namedversion}.jar
%{_javadir}/jmespath-java.jar
%if %with javadoc
%{_javadir}/jmespath-java-%{namedversion}-javadoc.jar
%{_javadir}/jmespath-java-javadoc.jar
%endif
%{_javadir}/jmespath-java-%{namedversion}-sources.jar
%{_javadir}/jmespath-java-sources.jar

%if %with javadoc
%files javadoc
%defattr(0644,root,root,0755)
%{_javadocdir}/aws-java-sdk-%{namedversion}
%{_javadocdir}/aws-java-sdk
%endif

%changelog
* Mon Jun 12 2023 Yong Yang <yyang@redhat.com> - 1.12.284-1.redhat_00002.1
- 1.12.284.redhat-00002

* Mon Jun 12 2023 Yong Yang <yyang@redhat.com> - 1.12.284-1.redhat_00001.1
- 1.12.284.redhat-00002

* Mon Jun 12 2023 Yong Yang <yyang@redhat.com> - 1.12.284-1.redhat_00002.1
- Init build

